microsoft-foundry.rest.security.o-auth2-auth
Datasets
Get dataset credentials
POST
/datasets/{name}/versions/{version}/credentials
Retrieves the SAS credential to access the storage account associated with a dataset version.
Parametry dotazů
api-version
string
vyžadováno
The API version to use for this operation.
Parametry cesty
name
string
vyžadováno
The name of the resource
version
string
vyžadováno
The specific version id of the DatasetVersion to operate on.
Odpovědi
The request has succeeded.
Text
Content-Type: application/json
blobReference
BlobReference
vyžadováno
Blob reference details.
blobUri
string
vyžadováno
Blob URI path for client to upload data. Example: https://blob.windows.core.net/Container/Path
storageAccountArmId
string
vyžadováno
ARM ID of the storage account to use.
credential
SasCredential
vyžadováno
SAS Credential definition
sasUri
string
vyžadováno
SAS uri
type
enum
vyžadováno
Type of credential
SAS
Žádost
POST /datasets/{name}/versions/{version}/credentials HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json